﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using TouchlessLib;

namespace CameraSample {
    public partial class Form1 : Form {

        TouchlessMgr touchlessManager;

        public Form1() {
            InitializeComponent();
            this.touchlessManager = new TouchlessMgr();
            this.Text = "Cameras: " + this.touchlessManager.Cameras.Count;
            this.touchlessManager.CurrentCamera = this.touchlessManager.Cameras[0];
            this.touchlessManager.CurrentCamera.OnImageCaptured += new EventHandler<CameraEventArgs>(CurrentCamera_OnImageCaptured);
        }

        void CurrentCamera_OnImageCaptured(object sender, CameraEventArgs e) {
            this.pictureBox1.Image = e.Image;
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e) {
            this.touchlessManager.CurrentCamera.OnImageCaptured -= new EventHandler<CameraEventArgs>(CurrentCamera_OnImageCaptured);
        }
    }
}
